<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="PIXEL.html"><font color="#008000">PIXEL</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Generic Pixel."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>   <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Abstracted red component on 8 bits.</font></strong></em>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Abstracted green component on 8 bits.</font></strong></em>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>  <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Abstracted blue component on 8 bits.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_raw</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Access color 32 bits.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">rgbcolor</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Modification 32bits.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_rgb</font></strong> (r,g,b:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>) <-   <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  For speed conversion between pixels</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Consultation geometry.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <-  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <-       
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">reserved_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">reserved_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_8</font></strong>:<a href="PIXEL_8.html"><font color="#008000">PIXEL_8</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_15</font></strong>:<a href="PIXEL_15.html"><font color="#008000">PIXEL_15</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_16</font></strong>:<a href="PIXEL_16.html"><font color="#008000">PIXEL_16</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_24</font></strong>:<a href="PIXEL_24.html"><font color="#008000">PIXEL_24</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_32</font></strong>:<a href="PIXEL_32.html"><font color="#008000">PIXEL_32</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Display.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print</font></strong> <- 



</body>
</html>

